com.jscape.inet.http

## Interface HttpListener

- All Superinterfaces:
    java.util.EventListener
  All Known Implementing Classes:
    HttpAdapter

      public interface HttpListener
      extends java.util.EventListener

  Implements methods for capturing events sourced from Http class. Typicaly your application will implement this interface to capture the following events :
  HttpConnectedEvent
  HttpDisconnectedEvent
  HttpProgressEvent

  In addition to implementing this interface your application should register itself as an EventListener which may look somewhat like this:

       public class Application ... implements HttpListener
       {
        ...
          public ... initMethod(...)
          {
            Http http = new Http();
            http.addHttpListener(this);
          }
        ...
       }

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connected(HttpConnectedEvent event)` Invoked when connection to Http server is established.
    `void` | `disconnected(HttpDisconnectedEvent event)` Invoked when connection to Http server is released.
    `void` | `progress(HttpProgressEvent event)` Invoked to mark progress of a download or upload operation.

- - ### Method Detail

    - #### connected

          void connected(HttpConnectedEvent event)

      Invoked when connection to Http server is established.
      Parameters:
        `event` - a `HttpConnectedEvent`
      See Also:
        `HttpConnectedEvent`

    - #### disconnected

          void disconnected(HttpDisconnectedEvent event)

      Invoked when connection to Http server is released.
      Parameters:
        `event` - a `HttpDisconnectedEvent`
      See Also:
        `HttpDisconnectedEvent`

    - #### progress

          void progress(HttpProgressEvent event)

      Invoked to mark progress of a download or upload operation.
      Parameters:
        `event` - a `HttpProgressEvent`
      See Also:
        `HttpProgressEvent`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved